Subject: Re: TE Mib, tunnel interfaces, ifstack layering?

From: "Jeanne Gilbertson" <[email-masked]>
Date: Fri, 27 Jul 2001 08:03:00 -0500

Tom,

  I want to make sure I understand how you are using the MPLS mibs to 
associate one tunnel with multiple LSPs.  Does the following configuration 
agree with your example?

   Your example:
         mplsTunnel1->mplsInterface1->enet3
                    ->mplsInterface2->enet4	

   In mplsOutSegmentTable I have the following entries:

      mplsOutSegmentIfIndex.4 = 1  (for mplsInterface1)
      mplsOutSegmentIfIndex.5 = 2  (for mplsInterface2)

   In mplsXCTable I have two entries with mplsXCIndex = 25 that map to the
   two out segments associated with this cross-connect:
	mplsXCIndex.25.0.10.4 = 25            
      mplsOutSegmentIndex.25.0.10.4 = 4

      mplsXCIndex.25.0.20.5 = 25
      mplsOutSegmentIndex.25.0.20.5 = 5

   In mplsTunnelTable I have one entry for mplsTunnel1:
     mplsTunnelIndex.1.1.168496141.168562177 = 1,
     mplsTunnelXCPointer.1.1.168496141.168562177 = mplsXCIndex.25.0.10.4

   Therefore, since mplsXCIndex.25.0.20.5 = mplsXCIndex.25.0.10.4 = 25,
   mplsInterface2 is also associated with mplsTunnel1.  Is this correct?
   
--Jeanne

>At 01:16 PM 7/25/2001 -0500, John Muston wrote:
> >On Wed, Jul 25, 2001 at 09:25:07AM -0400, Thomas D. Nadeau wrote:
> > > At 07:30 PM 7/24/2001 -0400, Joan Cucchiara wrote:
> > >
> > >
> > > >"Thomas D. Nadeau" wrote:
> > > > >
> > > > > >In section 7 of draft-ietf-mpls-te-mib-06.txt the interface
> > > > > >stack is shown as:
> > > > > >
> > > > > >         +------------------------------------------------+
> > > > > >         | MPLS-Tunnel-interface ifType = mplsTunnel(150) |
> > > > > >         +------------------------------------------------+
> > > > > >         |        MPLS-interface ifType = mpls(166)       |
> > > > > >         +------------------------------------------------+
> > > > > >         |               Underlying Layer                 |
> > > > > >         +------------------------------------------------+
> > > >
> > > >
> > > >Hi Tom,
> > > >
> > > >Is it possible to have more than one Underlying Layer?
> > > >Should the above be changed to "Underlying Layer(s)"?
> > >
> > >          Yes. You are correct. Nice catch. Since it is
> > > possible to have more than one LSP servicing
> > > the tunnel, there could be multiple underlying interfaces.
> >
> >I thought that an mplsTunnelEntry refers to a single mplsXCTable row
> >(via the mplsTunnelXCPointer), which in turn describes a single LSP.
> >What am I missing?
> 
>          Not necessarily. Remember that the XC pointer can refer to a
> "group" of in/out segments. For example, if you were doing some
> sort of load sharing with your LSP, so that multiple paths met
> the constraints of the tunnel, it would be possible to share
> these paths. These paths might run over different outgoing
> interfaces (mpls) or physical (underlying layer), depending on
> how the mpls interfaces are stacked upon what lies under them.
> For example, the tunnel1 below uses 1 XC pointer, but this
> XC index specifies 2 outgoing labels which run over two
> different outgoing MPLS interfaces, which in-turn run
> over two different ethernet interfaces:
> 
>          mplsTunnel1->mplsInterface1->enet3
>                     ->mplsInterface2->enet4
> 
> You can also have a case where the tunnel1 uses 1 XC pointer,
> its XC index specifies 2 outgoing labels which run over ONE
> outgoing MPLS interface, which in-turn runs over
> one ethernet interface:
> 
>          mplsTunnel1->mplsInterface1->enet3
>                     ->mplsInterface2->enet3
> 
>          I think that in the majority of cases, however, the
> stacking situation will be the intuitive, one-to-one
> scenario:
> 
>          mplsTunnel1->mplsInterface1->enet
> 
> >If there were multiple LSPs under a tunnel, wouldn't that mean multiple
> >MPLS-iftype interfaces under an mplsTunnel-iftype interface, not
> >necessarily multiple layers below the MPLS-iftype interface?
> >
> >Though I can see having multiple layers below the MPLS-iftype interface
> >in cases like TE Link Bundling though.
> 
>          Yes.
> 
>          --Tom
>